Package ru.bitel.oss.systems.inventory.resource.common.event

# Class IpResourceSubscriptionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.PoolEvent
ru.bitel.oss.systems.inventory.resource.common.event.IpResourceSubscriptionEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class IpResourceSubscriptionEvent
    extends ru.bitel.bgbilling.kernel.event.common.PoolEvent

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static short` | `TYPE_SUBSCRIBED` |
  `static short` | `TYPE_UNSUBSCRIBED` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `IpResourceSubscriptionEvent()` |
  `` | `IpResourceSubscriptionEvent​(short type, int moduleId, int subscriberType, int subscriberId, java.lang.String subscriberTitle, int ipResourceId, long subscriptionId, byte[] addressFrom, byte[] addressTo, java.util.Date timeFrom, java.util.Date timeTo, boolean dynamic)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte[]` | `getAddressFrom()` |
  `byte[]` | `getAddressTo()` |
  `int` | `getIpResourceId()` |
  `java.lang.String` | `getSubscriberTitle()` |
  `int` | `getSubscriberType()` |
  `long` | `getSubscriptionId()` |
  `java.util.Date` | `getTimeFrom()` |
  `java.util.Date` | `getTimeTo()` |
  `short` | `getType()` |
  `boolean` | `isDynamic()` |
  `void` | `setAddressFrom​(byte[] addressFrom)` |
  `void` | `setAddressTo​(byte[] addressTo)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_SUBSCRIBED

    public static final short TYPE_SUBSCRIBED
    See Also:
      Constant Field Values

  - ### TYPE_UNSUBSCRIBED

    public static final short TYPE_UNSUBSCRIBED
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### IpResourceSubscriptionEvent

    protected IpResourceSubscriptionEvent()

  - ### IpResourceSubscriptionEvent

    public IpResourceSubscriptionEvent​(short type, int moduleId, int subscriberType, int subscriberId, java.lang.String subscriberTitle, int ipResourceId, long subscriptionId, byte[] addressFrom, byte[] addressTo, java.util.Date timeFrom, java.util.Date timeTo, boolean dynamic)

- ## Method Details

  - ### getType

    public short getType()

  - ### getSubscriptionId

    public long getSubscriptionId()

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### setAddressFrom

    public void setAddressFrom​(byte[] addressFrom)

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### setAddressTo

    public void setAddressTo​(byte[] addressTo)

  - ### getTimeTo

    public java.util.Date getTimeTo()

  - ### getSubscriberType

    public int getSubscriberType()

  - ### getSubscriberTitle

    public java.lang.String getSubscriberTitle()

  - ### getIpResourceId

    public int getIpResourceId()

  - ### getTimeFrom

    public java.util.Date getTimeFrom()

  - ### isDynamic

    public boolean isDynamic()